#pragma once
#include "Entity.h"
#define CS_DOOR_KING_CREATENAME L"CS_door_king"
//ÍõµÄÃÅ
class CS_Door_King :
    public Entity
{
public:
    CS_Door_King();
    void SetState(int stateID, int lr) override;
};

std::shared_ptr<Entity> CreateCS_Door_King();